>From 520b8cebfd20cda4976ed24fe18bb8bb6bed1809 Mon Sep 17 00:00:00 2001
From: Kailang Yang <kailang@realtek.com>
Date: Wed, 27 Nov 2013 17:41:32 +0800
Subject: [PATCH] ALSA: hda/realtek - Add codecs alias name for Dell

Dell assigned alias name for more codecs.
ALC3220 ALC3221 ALC3223 ALC3226 ALC3234 ALC3661.

Signed-off-by: Kailang Yang <kailang@realtek.com>

diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index c4ad9d1..3f4a6e6 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -4393,20 +4393,36 @@ static int patch_alc269(struct hda_codec *codec)
 
 	case 0x10ec0280:
 	case 0x10ec0290:
+		if (codec->bus->pci->subsystem_vendor == 0x1028)
+			err = alc_codec_rename(codec, "ALC3220");
 		spec->codec_variant = ALC269_TYPE_ALC280;
+		if (err < 0)
+			goto error;
 		break;
 	case 0x10ec0282:
+		if (codec->bus->pci->subsystem_vendor == 0x1028)
+			err = alc_codec_rename(codec, "ALC3221");
 		spec->codec_variant = ALC269_TYPE_ALC282;
+		if (err < 0)
+			goto error;
 		break;
 	case 0x10ec0233:
 	case 0x10ec0283:
+		if (codec->bus->pci->subsystem_vendor == 0x1028)
+			err = alc_codec_rename(codec, "ALC3223");
 		spec->codec_variant = ALC269_TYPE_ALC283;
 		spec->shutup = alc283_shutup;
 		spec->init_hook = alc283_init;
+		if (err < 0)
+			goto error;
 		break;
 	case 0x10ec0284:
 	case 0x10ec0292:
+		if (codec->bus->pci->subsystem_vendor == 0x1028)
+			err = alc_codec_rename(codec, "ALC3226");
 		spec->codec_variant = ALC269_TYPE_ALC284;
+		if (err < 0)
+			goto error;
 		break;
 	case 0x10ec0285:
 	case 0x10ec0293:
@@ -4416,7 +4432,11 @@ static int patch_alc269(struct hda_codec *codec)
 		spec->codec_variant = ALC269_TYPE_ALC286;
 		break;
 	case 0x10ec0255:
+		if (codec->bus->pci->subsystem_vendor == 0x1028)
+			err = alc_codec_rename(codec, "ALC3234");
 		spec->codec_variant = ALC269_TYPE_ALC255;
+		if (err < 0)
+			goto error;
 		break;
 	}
 
@@ -5105,6 +5125,13 @@ static int patch_alc662(struct hda_codec *codec)
 			goto error;
 	}
 
+	if (codec->bus->pci->subsystem_vendor == 0x1028 &&
+			codec->vendor_id == 0x10ec0668) {
+		err = alc_codec_rename(codec, "ALC3661");
+		if (err < 0)
+			goto error;
+	}
+
 	/* automatic parse from the BIOS config */
 	err = alc662_parse_auto_config(codec);
 	if (err < 0)
